Skip to content
The Mongoid Demo Application
Ruby HTML Other
Find file
Latest commit 1d28bbb @durran durran Move to Mongoid 5 beta
Failed to load latest commit information.
app Move to Mongoid 5 beta
bin upgrading to rails4
config Move to Mongoid 5 beta
db Add some sample migrations, remove mocha
lib/tasks Remove temp middleware
public Initial commit after repo change
script Initial commit after repo change
spec
vendor/plugins Initial commit after repo change
.gitignore Initial commit after repo change
.rspec Update echo to show working spork with watchr example
.ruby-gemset update rvmrc
.ruby-version Move to latest mongoid
.travis.yml Update travis services
Gemfile Move to Mongoid 5 beta
Gemfile.lock
Guardfile Update gems and switch to guard.
README.md Update readme - no more watchr
Rakefile Update to latest rspec
config.ru Initial commit after repo change

README.md

Echo Build Status

This is the sample Rails application for Mongoid.

Compatibility

Mongoid is tested against MRI 1.9.2, 1.9.3, 2.0.0, and JRuby (1.9).

Development Environment Setup

  • $ brew install mongodb
  • $ gem install bundler
  • $ bundle install

Running Specs

  • $ rake

Running Specs with Guard and Spork

  • $ spork
  • $ bundle exec guard
Something went wrong with that request. Please try again.